<template>
    <v-container class="homme">
        <v-row align="center" justify="center" class="pa-5">
            <v-flex>
                <h1 class="heading text-center">Latest games</h1>
                <hr class="ma-4"/>

                <v-list elevation="5">
                    <v-list-group v-for="(item) in getGames" :key="item.id" no-action>
                        <template v-slot:activator>
                            <v-list-item-content>
                                <v-list-item-title class="yellow--text headline">{{ item.room }}#{{ item.id}}</v-list-item-title>
                            </v-list-item-content>
                            <v-list-item-action-text>
                                <v-list-item-action-text v-text="getDate(item.date)"></v-list-item-action-text>
                            </v-list-item-action-text>
                        </template>

                        <v-divider></v-divider>

                        <v-simple-table>
                            <thead>
                            <tr>
                                <th class="text-center">#</th>
                                <th class="text-center">Player name</th>
                                <th class="text-center">Score</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr v-for="player in item.scores" :key="player.user_id">
                                <td class="text-center">
                                    <v-icon v-if="player.win" color="yellow">
                                        mdi-bomb
                                    </v-icon>
                                    <v-icon v-else color="grey">
                                        mdi-skull-outline
                                    </v-icon>
                                </td>
                                <td class="text-center">{{ player.name }}</td>
                                <td class="text-center">{{ player.score }}</td>
                            </tr>
                            </tbody>
                        </v-simple-table>
                    </v-list-group>
                </v-list>
            </v-flex>
        </v-row>
    </v-container>
</template>

<script>
    import moment from "moment";
    import Services from "../services/index";

    export default {
        name: 'home',
        data: () => ({
            games: []
        }),
        methods: {
            getDate: function (timestamp) {
                return moment(parseInt(timestamp)).format("YYYY/MM/DD");
            }
        },
        computed: {
            getGames: function () {
                return this.games
            }
        },
        async mounted() {
            Services.getGames().then((data) => {
                this.games = data;
            })
        }
    }
</script>
<style scoped>
</style>
